<?php

if ( !function_exists( 'fbth_content_wrap_calc' ) ) {
    /**
     * Finest Base content wrap classes list
     *
     */
    function fbth_content_wrap_calc( $type_layout ) {
        $wrap_class = array(
            'col-lg-8',
            'col-md-12',
            'col-sm-12',
            'content-area',
        );
        if (('no_sidebar' == $type_layout && !is_single()) || !is_active_sidebar('sidebar-1')  ) {
            $wrap_class = array(
                'col-lg-12',
                'col-md-12',
                'col-sm-12',
                'content-area',
            );
        } elseif ( 'no_sidebar' === $type_layout && is_single())  {
            $wrap_class = array(
                'col-lg-12',
                'col-md-12',
                'col-sm-12',
                'content-area',
            );
        } elseif ( 'left_sidebar' === $type_layout ) {
            $wrap_class[] = 'order-lg-2';
            $wrap_class[] = 'order-md-2';
        }
        return $wrap_class;
    }
}



if ( !function_exists( 'fbth_column_wrap_calc' ) ) {
    /**
     * Finest Base clumn wrap  list
     *
     */
    function fbth_column_wrap_calc() {

        $fbth    = get_option( 'fbth' );
        $columns = isset( $fbth['blog_grid'] ) ? $fbth['blog_grid'] : '';

        switch ( $columns ) {
        case 'one-column':
            $gride = 'col-12';
            break;
        case 'two-column':
            $gride = 'col-md-6 col-sm-12';
            break;
        case 'three-column':
                $gride = 'col-lg-4 col-md-6 col-sm-12';
                break;

        default:
            $gride = 'col-lg-6 col-md-6 col-sm-12';
            break;
        }

        return $gride;
    }
}

if ( !function_exists( 'fbth_content_class' ) ) {
    /**
     * Finest Base content class init
     */
    function fbth_content_class() {

        $fbth                 = get_option( 'fbth' );
        $archive_sidebar      = isset( $fbth['blog_layout'] ) ? $fbth['blog_layout'] : '';
        $post_default_sidebar = isset( $fbth['single_page_layout'] ) ? $fbth['single_page_layout'] : '';
        $page_default_sidebar = isset( $fbth['blog_layout'] ) ? $fbth['blog_layout'] : '';

        if ( is_single() ) {
            $content_class = fbth_content_wrap_calc( $post_default_sidebar );
        } elseif ( is_page_template( 'template-full-width.php' ) ) {
            $content_class = fbth_content_wrap_calc( 'no_sidebar' );
        } elseif ( is_page() ) {
            $content_class = fbth_content_wrap_calc( $page_default_sidebar );
        } else {
            $content_class = fbth_content_wrap_calc( $archive_sidebar );

        }

        $content_class = apply_filters( 'fbth_content_class', $content_class );

        $content_class = implode( ' ', $content_class );
        return $content_class;
    }
}

if ( !function_exists( 'fbth_sidebar_wrap_calc' ) ) {
    /**
     * Finest Base sidebar classes list
     */
    function fbth_sidebar_wrap_calc( $type_layout ) {
        $wrap_class = array(
            'col-lg-4',
            'col-md-10',
            'col-sm-12',
            'widget-area',
        );
        if ( 'left_sidebar' === $type_layout ) {
            $wrap_class[] = 'order-lg-1';
            $wrap_class[] = 'order-md-1';
        }
        return $wrap_class;
    }
}

if ( !function_exists( 'fbth_sidebar_class' ) ) {
    /**
     * Finest Base sidebar class init
     */
    function fbth_sidebar_class() {

        $fbth                 = get_option( 'fbth' );
        $archive_sidebar      = isset( $fbth['blog_layout'] ) ? $fbth['blog_layout'] : '';
        $post_default_sidebar = isset( $fbth['single_page_layout'] ) ? $fbth['single_page_layout'] : '';
        $page_default_sidebar = isset( $fbth['blog_layout'] ) ? $fbth['blog_layout'] : '';

        if ( is_single() ) {
            $sidebar_class = fbth_sidebar_wrap_calc( $post_default_sidebar );
        } elseif ( is_page() ) {
            $sidebar_class = fbth_sidebar_wrap_calc( $page_default_sidebar );
        } else {
            $sidebar_class = fbth_sidebar_wrap_calc( $archive_sidebar );
        }

        $sidebar_class = apply_filters( 'fbth_sidebar_class', $sidebar_class );
        $sidebar_class = implode( ' ', $sidebar_class );
        return $sidebar_class;
    }
}
