<?php
// File Security Check
if (!defined('ABSPATH')) {
    exit;
}
function fbth_theme_options_style()
{
    // Globalizing theme options values
    $fbth = get_option('fbth');
    //
    // Enqueueing StyleSheet file
    //

    $page_id    = get_the_ID();
    $css_output = '';
    $js_output  = '';

    if (isset($fbth['sticky_background_color'])) {
        $css_output .= '
				.sticky-wrapper.is-sticky > .sticky-header.reveal-header {
					background-color: ' . esc_attr($fbth['sticky_background_color']["color"]) . ' !important;
				}
			';
    }
    if ( isset( $fbth['primary_color'] ) || isset( $fbth['secondary_color'] ) || isset( $fbth['accent_color'] ) ) {
        $heading_color = $fbth['heading_color']['color'];
        $text_color = $fbth['body_color']['color'];
        $accent_color = $fbth['primary_color']['color'];
        $accent_color_2 = $fbth['secondary_color']['color'];
        $white_color = $fbth['neutral_1']['color'];
        $css_output .= "
				:root {
                    --heading-color: $heading_color;
                    --text-color: $text_color;
                    --accent-color: $accent_color;
                    --accent-color-2: $accent_color_2;
                    --white-color: $white_color;
                }
			";
        
            update_option( 'elementor_scheme_color', array($heading_color, $text_color, $accent_color, $accent_color_2,$white_color) );
    }

    if (isset($fbth['sticky_menu_color'])) {
        $css_output .= '.is-sticky .menu-style-inline.navbar:not(.active) .main-navigation ul.navbar-nav>li>a, .is-sticky .menu-style-inline.navbar:not(.active) .main-navigation ul.navbar-nav>li .dropdownToggle {
            color:' . esc_attr($fbth['sticky_menu_color']["color"]) . '!important;
        }';
    }

    if (isset($fbth['scustom_css'])) {
        $css_output .= $fbth['scustom_css'];
    }

    wp_add_inline_style('fbth-responsive', $css_output);

    if (isset($fbth['scustom_js'])) {
        $js_output .= $fbth['scustom_js'];
    }

    wp_add_inline_script('fbth-config', $js_output);
}
add_action('wp_enqueue_scripts', 'fbth_theme_options_style');
