<?php
// File Security Check

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/* Theme demo data setup */

function crito_import_files() {
    return array(
		    array(
			'import_file_name'           => 'Initial Setup',
			'categories'                 => array( 'initial-setup' ),
			'import_file_url'            => 'https://updates.redindex.net/demo-import/crito/demo-contents/initial-setup.xml',
            'import_preview_image_url'   => 'https://updates.redindex.net/demo-import/crito/previews/initial-setup.png',
            'preview_url'                => 'https://redindex.net/demos/wp/crito/',
			'import_widget_file_url'     => 'https://updates.redindex.net/demo-import/crito/demo-contents/widget.wie',
			'import_customizer_file_url' => 'https://updates.redindex.net/demo-import/crito/demo-contents/customizer.dat',
			'import_redux'               => array(
				array(
					'file_url'    => 'https://updates.redindex.net/demo-import/crito/demo-contents/theme-options.json',
					'option_name' => 'fbth',
				),

			),
			'import_notice'              => __( 'After you import this demo, you will have to setup Landing Page', 'crito' ),
		),
        array(
			'import_file_name'           => 'Landing 01',
			'categories'                 => array( 'Homepages' ),
			'import_file_url'            => 'https://updates.redindex.net/demo-import/crito/demo-contents/landing-01.xml',
            'import_preview_image_url'   => 'https://updates.redindex.net/demo-import/crito/previews/landing-01.png',
            'preview_url'                => 'https://redindex.net/demos/wp/crito//landing-01/',
			'import_widget_file_url'     => 'https://updates.redindex.net/demo-import/crito/demo-contents/widget.wie',
			'import_customizer_file_url' => 'https://updates.redindex.net/demo-import/crito/demo-contents/customizer.dat',
			'import_redux'               => array(
				array(
					'file_url'    => 'https://updates.redindex.net/demo-import/crito/demo-contents/theme-options.json',
					'option_name' => 'fbth',
				),

			),
			'import_notice'              => __( 'After you import this demo, you will have to setup Landing Page', 'crito' ),
		),
        array(
			'import_file_name'           => 'Landing 02',
			'categories'                 => array( 'Homepages' ),
			'import_file_url'            => 'https://updates.redindex.net/demo-import/crito/demo-contents/landing-02.xml',
            'import_preview_image_url'   => 'https://updates.redindex.net/demo-import/crito/previews/landing-02.png',
            'preview_url'                => 'https://redindex.net/demos/wp/crito//landing-02/',
			'import_widget_file_url'     => 'https://updates.redindex.net/demo-import/crito/demo-contents/widget.wie',
			'import_customizer_file_url' => 'https://updates.redindex.net/demo-import/crito/demo-contents/customizer.dat',
			'import_redux'               => array(
				array(
					'file_url'    => 'https://updates.redindex.net/demo-import/crito/demo-contents/theme-options.json',
					'option_name' => 'fbth',
				),

			),
			'import_notice'              => __( 'After you import this demo, you will have to setup Landing Page', 'crito' ),
		),
		
		array(
			'import_file_name'           => 'Inner Pages',
			'categories'                 => array( 'inner-pages' ),
			'import_file_url'            => 'https://updates.redindex.net/demo-import/crito/demo-contents/inner-pages.xml',
            'import_preview_image_url'   => 'https://updates.redindex.net/demo-import/crito/previews/inner-pages.png',
            'preview_url'                => 'https://redindex.net/demos/wp/crito/',
			'import_widget_file_url'     => 'https://updates.redindex.net/demo-import/crito/demo-contents/widget.wie',
			'import_customizer_file_url' => 'https://updates.redindex.net/demo-import/crito/demo-contents/customizer.dat',
			'import_redux'               => array(
				array(
					'file_url'    => 'https://updates.redindex.net/demo-import/crito/demo-contents/theme-options.json',
					'option_name' => 'fbth',
				),

			),
			'import_notice'              => __( 'After you import this demo, you will have to setup Landing Page', 'crito' ),
		),

    );
}

add_filter( 'pt-ocdi/import_files', 'crito_import_files' );
function ocdi_after_import( $selected_import ) {

    if ('Landing 01' === $selected_import['import_file_name']) {
        $front_page_id = get_page_by_title('Landing 01');
    } elseif ('Landing 02' === $selected_import['import_file_name']) {
        $front_page_id = get_page_by_title('Landing 02');
    } else{
        $front_page_id = get_page_by_title('Landing 01');
    }

    $main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );
    set_theme_mod( 'nav_menu_locations', array(

        'main-menu' => $main_menu->term_id, // replace 'main-menu' here with the menu location identifier from register_nav_menu() function

    ) );
    $blog_page_id = get_page_by_title( 'Blog' );
    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );
    update_option( 'elementor_scheme_color', array( '#161c2d', '#161c2d', '#6E727D', '#473bf0' ) );
	crito_elementor_settings();
    $elem_clear_cache = new \Elementor\Core\Files\Manager();
    $elem_clear_cache->clear_cache();
}

add_action( 'pt-ocdi/after_import', 'ocdi_after_import' );

function crito_elementor_settings() {
    $kit_id = get_option( 'elementor_active_kit' );

    /**
     * To get this json.
     * use this code
     */

   $settings = json_decode('[{"system_colors":[{"_id":"fbth_primary","title":"Primary","color":"#f9d783"},{"_id":"fbth_secondary","title":"Secondary","color":"#f94d1c"},{"_id":"fbth_accent","title":"Accent","color":"#f94d1c"},{"_id":"fbth_headline","title":"Headline","color":"#191919"},{"_id":"fbth_body","title":"Body","color":"#5e5e5e"},{"_id":"fbth_dark","title":"Dark Background","color":"#0F151C"},{"_id":"fbth_light","title":"Light Background","color":"#F0EFE9"},{"_id":"fbth_white","title":"White Background","color":"#ffffff"},{"_id":"fbth_neutral_1","title":"Neutral 01","color":"#ffffff"},{"_id":"fbth_neutral_2","title":"Neutral 02","color":"#111111"},{"_id":"fbth_neutral_3","title":"Neutral 03","color":"#111"},{"_id":"fbth_neutral_4","title":"Neutral 04","color":"#353535"},{"_id":"fbth_neutral_5","title":"Neutral 05","color":"#12141D"},{"_id":"fbth_neutral_6","title":"Neutral 06","color":"#12141d"},{"_id":"fbth_neutral_7","title":"Neutral 07","color":"#0C1E1B"},{"_id":"fbth_success","title":"Success","color":"#38B27A"},{"_id":"fbth_warning","title":"Warning","color":"#FCD554"},{"_id":"fbth_info","title":"Info","color":"#4255F9"},{"_id":"fbth_danger","title":"Danger","color":"#EE2626"}],"system_typography":[{"_id":"uicore_primary","title":"Primary","typography_font_family":"DM Sans","typography_font_weight":"","typography_typography":"custom"},{"_id":"uicore_secondary","title":"Secondary","typography_font_family":"DM Sans","typography_font_weight":"","typography_typography":"custom"},{"_id":"uicore_text","title":"Text","typography_font_family":"DM Sans","typography_font_weight":"","typography_typography":"custom"},{"_id":"uicore_accent","title":"Accent","typography_font_family":"DM Sans","typography_font_weight":"","typography_typography":"custom"}],"__globals__":[],"body_typography_typography":"Custom","body_typography_font_family":"Inter","body_typography_font_weight":"400","body_typography_text_transform":null,"body_color":"","body_typography_font_size":{"unit":"px","size":18},"body_typography_letter_spacing":{"unit":"px","size":0},"body_typography_line_height":{"unit":"px","size":30},"h1_typography_typography":"Custom","h1_typography_font_family":"DM Sans","h1_typography_font_weight":"700","h1_typography_text_transform":null,"h1_color":"#191919","h1_typography_font_size":{"unit":"px","size":96},"h1_typography_letter_spacing":{"unit":"px","size":-1},"h1_typography_line_height":{"unit":"px","size":100},"h2_typography_typography":"Custom","h2_typography_font_family":"DM Sans","h2_typography_font_weight":"700","h2_typography_text_transform":null,"h2_color":"#191919","h2_typography_font_size":{"unit":"px","size":42},"h2_typography_letter_spacing":{"unit":"px","size":0},"h2_typography_line_height":{"unit":"px","size":48},"h3_typography_typography":"Custom","h3_typography_font_family":"DM Sans","h3_typography_font_weight":"600","h3_typography_text_transform":null,"h3_color":"","h3_typography_font_size":{"unit":"px","size":40},"h3_typography_letter_spacing":{"unit":"px","size":0},"h3_typography_line_height":{"unit":"px","size":48},"h4_typography_typography":"Custom","h4_typography_font_family":"DM Sans","h4_typography_font_weight":"700","h4_typography_text_transform":null,"h4_color":"#191919","h4_typography_font_size":{"unit":"px","size":24},"h4_typography_letter_spacing":{"unit":"px","size":0},"h4_typography_line_height":{"unit":"px","size":34},"h5_typography_typography":"Custom","h5_typography_font_family":"DM Sans","h5_typography_font_weight":"600","h5_typography_text_transform":null,"h5_color":"#191919","h5_typography_font_size":{"unit":"px","size":22},"h5_typography_letter_spacing":{"unit":"px","size":0},"h5_typography_line_height":{"unit":"px","size":33},"h6_typography_typography":"Custom","h6_typography_font_family":"DM Sans","h6_typography_font_weight":"600","h6_typography_text_transform":null,"h6_color":"#191919","h6_typography_font_size":{"unit":"px","size":18},"h6_typography_letter_spacing":{"unit":"px","size":0},"h6_typography_line_height":{"unit":"px","size":22},"container_width":{"unit":"px","size":"1320"}}]', true);

    return update_post_meta( $kit_id, '_elementor_page_settings', $settings[0] );
}
