<?php

$kit_id            = get_option( 'elementor_active_kit' );
$elmentor_new_meta = get_post_meta( $kit_id, '_elementor_page_settings' );
$elmentor_new_meta = [

    'system_colors' => [
        '_id'   => 'primary',
        'name'  => 'Primary',
        'color' => '#00000',
    ],

];

$elmentor_old_meta = get_post_meta( $kit_id, '_elementor_page_settings' );

function fbth_update_globals_from_elementor() {
    $fbth = get_option( 'fbth' );

    $kit_id = get_option( 'elementor_active_kit' );
    //Helper Function => wil return meta array with needed changes

    $meta_old = get_post_meta( $kit_id, '_elementor_page_settings', true );

    if ( !is_wp_error( $meta_old ) && is_array( $meta_old ) ) {
        $meta_new = $meta_old;
    } else {
    }
    $meta_new = [
        'system_colors'     => [],
        'system_typography' => [],
        '__globals__'       => [],
    ];

    $meta_new['system_colors'][0] = [
        '_id'   => 'fbth_primary',
        'title' => 'Primary',
        'color' => $fbth['primary_color']['color'],
    ];
    $meta_new['system_colors'][1] = [
        '_id'   => 'fbth_secondary',
        'title' => 'Secondary',
        'color' => $fbth['secondary_color']['color'],
    ];
    $meta_new['system_colors'][2] = [
        '_id'   => 'fbth_accent',
        'title' => 'Accent',
        'color' => $fbth['accent_color']['color'],
    ];
    $meta_new['system_colors'][3] = [
        '_id'   => 'fbth_headline',
        'title' => 'Headline',
        'color' => $fbth['heading_color']['color'],
    ];

    $meta_new['system_colors'][4] = [
        '_id'   => 'fbth_body',
        'title' => 'Body',
        'color' => $fbth['body_color']['color'],
    ];
    $meta_new['system_colors'][5] = [
        '_id'   => 'fbth_dark',
        'title' => 'Dark Background',
        'color' => $fbth['dark_bg']['color'],
    ];
    $meta_new['system_colors'][6] = [
        '_id'   => 'fbth_light',
        'title' => 'Light Background',
        'color' => $fbth['light_bg']['color'],
    ];
    $meta_new['system_colors'][7] = [
        '_id'   => 'fbth_white',
        'title' => 'White Background',
        'color' => $fbth['white_bg']['color'],
    ];

    // Neutral
    $meta_new['system_colors'][8] = [
        '_id'   => 'fbth_neutral_1',
        'title' => 'Neutral 01',
        'color' => $fbth['neutral_1']['color'],
    ];
    $meta_new['system_colors'][9] = [
        '_id'   => 'fbth_neutral_2',
        'title' => 'Neutral 02',
        'color' => $fbth['neutral_2']['color'],
    ];
    $meta_new['system_colors'][10] = [
        '_id'   => 'fbth_neutral_3',
        'title' => 'Neutral 03',
        'color' => $fbth['neutral_3']['color'],
    ];
    $meta_new['system_colors'][11] = [
        '_id'   => 'fbth_neutral_4',
        'title' => 'Neutral 04',
        'color' => $fbth['neutral_4']['color'],
    ];
    $meta_new['system_colors'][12] = [
        '_id'   => 'fbth_neutral_5',
        'title' => 'Neutral 05',
        'color' => $fbth['neutral_5']['color'],
    ];
    $meta_new['system_colors'][13] = [
        '_id'   => 'fbth_neutral_6',
        'title' => 'Neutral 06',
        'color' => $fbth['neutral_6']['color'],
    ];
    $meta_new['system_colors'][14] = [
        '_id'   => 'fbth_neutral_7',
        'title' => 'Neutral 07',
        'color' => $fbth['neutral_7']['color'],
    ];
 
    // Semantic
    $meta_new['system_colors'][15] = [
        '_id'   => 'fbth_success',
        'title' => 'Success',
        'color' => $fbth['success']['color'],
    ];
    $meta_new['system_colors'][16] = [
        '_id'   => 'fbth_warning',
        'title' => 'Warning',
        'color' => $fbth['warning']['color'],
    ];
    $meta_new['system_colors'][17] = [
        '_id'   => 'fbth_info',
        'title' => 'Info',
        'color' => $fbth['info']['color'],
    ];
    $meta_new['system_colors'][18] = [
        '_id'   => 'fbth_danger',
        'title' => 'Danger',
        'color' => $fbth['danger']['color'],
    ];
    $meta_new['system_typography'][0] = [
        '_id'                    => 'uicore_primary',
        'title'                  => 'Primary',
        'typography_font_family' => $fbth['primary_fonts']['font-family'],
        'typography_font_weight' => ( $fbth['primary_fonts']['font-weight'] === 'regular' ) ? 'normal' : $fbth['primary_fonts']['font-weight'],
        'typography_typography'  => 'custom',
    ];
    $meta_new['system_typography'][1] = [
        '_id'                    => 'uicore_secondary',
        'title'                  => 'Secondary',
        'typography_font_family' => $fbth['secondary_fonts']['font-family'],
        'typography_font_weight' => ( $fbth['secondary_fonts']['font-weight'] === 'regular' ) ? 'normal' : $fbth['secondary_fonts']['font-weight'],
        'typography_typography'  => 'custom',
    ];
    $meta_new['system_typography'][2] = [
        '_id'                    => 'uicore_text',
        'title'                  => 'Text',
        'typography_font_family' => $fbth['text_fonts']['font-family'],
        'typography_font_weight' => ( $fbth['text_fonts']['font-weight'] === 'regular' ) ? 'normal' : $fbth['text_fonts']['font-weight'],
        'typography_typography'  => 'custom',
    ];
    $meta_new['system_typography'][3] = [
        '_id'                    => 'uicore_accent',
        'title'                  => 'Accent',
        'typography_font_family' => $fbth['accent_fonts']['font-family'],
        'typography_font_weight' => ( $fbth['accent_fonts']['font-weight'] === 'regular' ) ? 'normal' : $fbth['accent_fonts']['font-weight'],
        'typography_typography'  => 'custom',
    ];

    // body
    $meta_new['body_typography_typography']     = 'Custom';
    $meta_new['body_typography_font_family']    = trim( $fbth['body_typography']['font-family'] );
    $meta_new['body_typography_font_weight']    = $fbth['body_typography']['font-weight'];
    $meta_new['body_typography_text_transform'] = $fbth['body_typography']['body_typography_typography']['t'];
    $meta_new['body_color']                     = $fbth['body_typography']['color'];
    $meta_new['body_typography_font_size']      = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['body_typography']['font-size'], 'px' ),
    );
    $meta_new['body_typography_letter_spacing'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['body_typography']['letter-spacing'], 'px' ),
    );
    $meta_new['body_typography_line_height'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['body_typography']['line-height'], 'px' ),
    );

    // h1
    $meta_new['h1_typography_typography']     = 'Custom';
    $meta_new['h1_typography_font_family']    = trim( $fbth['h1_typography']['font-family'] );
    $meta_new['h1_typography_font_weight']    = $fbth['h1_typography']['font-weight'];
    $meta_new['h1_typography_text_transform'] = $fbth['h1_typography']['h1_typography_typography']['t'];
    $meta_new['h1_color']                     = $fbth['h1_typography']['color'];
    $meta_new['h1_typography_font_size']      = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h1_typography']['font-size'], 'px' ),
    );
    $meta_new['h1_typography_letter_spacing'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h1_typography']['letter-spacing'], 'px' ),
    );
    $meta_new['h1_typography_line_height'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h1_typography']['line-height'], 'px' ),
    );

    // h2
    $meta_new['h2_typography_typography']     = 'Custom';
    $meta_new['h2_typography_font_family']    = trim( $fbth['h2_typography']['font-family'] );
    $meta_new['h2_typography_font_weight']    = $fbth['h2_typography']['font-weight'];
    $meta_new['h2_typography_text_transform'] = $fbth['h2_typography']['h2_typography_typography']['t'];
    $meta_new['h2_color']                     = $fbth['h2_typography']['color'];
    $meta_new['h2_typography_font_size']      = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h2_typography']['font-size'], 'px' ),
    );
    $meta_new['h2_typography_letter_spacing'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h2_typography']['letter-spacing'], 'px' ),
    );
    $meta_new['h2_typography_line_height'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h2_typography']['line-height'], 'px' ),
    );

    // h3
    $meta_new['h3_typography_typography']     = 'Custom';
    $meta_new['h3_typography_font_family']    = trim( $fbth['h3_typography']['font-family'] );
    $meta_new['h3_typography_font_weight']    = $fbth['h3_typography']['font-weight'];
    $meta_new['h3_typography_text_transform'] = $fbth['h3_typography']['h3_typography_typography']['t'];
    $meta_new['h3_color']                     = $fbth['h3_typography']['color'];

    $meta_new['h3_typography_font_size'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h3_typography']['font-size'], 'px' ),
    );
    $meta_new['h3_typography_letter_spacing'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h3_typography']['letter-spacing'], 'px' ),
    );
    $meta_new['h3_typography_line_height'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h3_typography']['line-height'], 'px' ),
    );

    // h4
    $meta_new['h4_typography_typography']     = 'Custom';
    $meta_new['h4_typography_font_family']    = trim( $fbth['h4_typography']['font-family'] );
    $meta_new['h4_typography_font_weight']    = $fbth['h4_typography']['font-weight'];
    $meta_new['h4_typography_text_transform'] = $fbth['h4_typography']['h4_typography_typography']['t'];
    $meta_new['h4_color']                     = $fbth['h4_typography']['color'];

    $meta_new['h4_typography_font_size'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h4_typography']['font-size'], 'px' ),
    );
    $meta_new['h4_typography_letter_spacing'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h4_typography']['letter-spacing'], 'px' ),
    );
    $meta_new['h4_typography_line_height'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h4_typography']['line-height'], 'px' ),
    );

    // h5
    $meta_new['h5_typography_typography']     = 'Custom';
    $meta_new['h5_typography_font_family']    = trim( $fbth['h5_typography']['font-family'] );
    $meta_new['h5_typography_font_weight']    = $fbth['h5_typography']['font-weight'];
    $meta_new['h5_typography_text_transform'] = $fbth['h5_typography']['h5_typography_typography']['t'];
    $meta_new['h5_color']                     = $fbth['h5_typography']['color'];

    $meta_new['h5_typography_font_size'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h5_typography']['font-size'], 'px' ),
    );
    $meta_new['h5_typography_letter_spacing'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h5_typography']['letter-spacing'], 'px' ),
    );
    $meta_new['h5_typography_line_height'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h5_typography']['line-height'], 'px' ),
    );

    // h6
    $meta_new['h6_typography_typography']     = 'Custom';
    $meta_new['h6_typography_font_family']    = trim( $fbth['h6_typography']['font-family'] );
    $meta_new['h6_typography_font_weight']    = $fbth['h6_typography']['font-weight'];
    $meta_new['h6_typography_text_transform'] = $fbth['h6_typography']['h6_typography_typography']['t'];
    $meta_new['h6_color']                     = $fbth['h6_typography']['color'];
    $meta_new['h6_typography_font_size']      = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h6_typography']['font-size'], 'px' ),
    );
    $meta_new['h6_typography_letter_spacing'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h6_typography']['letter-spacing'], 'px' ),
    );
    $meta_new['h6_typography_line_height'] = array(
        "unit" => "px",
        "size" => (int) rtrim( $fbth['h6_typography']['line-height'], 'px' ),
    );
    $meta_new['container_width'] = array(
        "unit" => "px",
        "size" => '1320'
    );

    $result = update_post_meta( $kit_id, '_elementor_page_settings', $meta_new );

    //update site kit css (will generate the new css with the new globals)
    if ( class_exists( '\Elementor\Plugin' ) ) {

        $elem_clear_cache = new \Elementor\Core\Files\Manager();

        $elem_clear_cache->clear_cache();
    }

    return $result;
}
add_action( 'redux/options/fbth/saved', 'fbth_update_globals_from_elementor' );

$fbth = get_option( 'fbth' );

add_filter( 'elementor/fonts/groups', function ( $font_groups ) {
    $font_groups['fbth_fonts'] = __( 'Finest Base Fonts', 'fbth' );
    return $font_groups;
} );

add_filter( 'elementor/fonts/additional_fonts', function ( $additional_fonts ) {
    $additional_fonts['Circular Std'] = 'fbth_fonts';
    return $additional_fonts;
} );
