<?php

/**
 * Page Start
 *
 * @since 1.0.0
 */

if ( !function_exists( 'fbth_page_wrap_start' ) ):
    function fbth_page_wrap_start() {
        $page_attr = array(
            'class' => array( 'site', 'logisitco_page_wrap' ),
            'id'    => 'page',
        );
        $page_attr = apply_filters( 'fbth_page_attr', $page_attr );
        echo '<div ' . fbth_set_attributes( $page_attr ) . '>'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
        echo '<a class="skip-link screen-reader-text" href="#content">' . esc_html__( 'Skip to content', 'fbth' ) . '</a>';
    }
endif;

/**
 * Page End
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_page_wrap_end' ) ):
    function fbth_page_wrap_end() {
        echo '</div><!-- #page -->';

    }
endif;

/**
 * Page End
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_gdpr' ) ):
    function fbth_gdpr() {
        $fbth = get_option( 'fbth' );
        if ( isset( $fbth['enable_gdpr'] ) && true == $fbth['enable_gdpr'] ) {
            ?>
	            <div class="grt-cookie">
	            <div class="grt-cookies-msg">
	                <p>
	                    <?php printf( '%s', $fbth['gdpr_letter'] )?>
	                </p>
	            </div>
	            <span class="grt-cookie-button"></span>

	            </div>

		<?php
    }
    }
endif;

/**
 * Content wrap start
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_content_start' ) ):
    function fbth_content_start() {
        echo '<div id="content" class="site-content">';
    }
endif;

/**
 * Content wrap end
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_content_end' ) ):
    function fbth_content_end() {
        echo '</div><!-- #content -->';
    }
endif;

/**
 * Content wrap start
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_content_inner_start' ) ):
    function fbth_content_inner_start() {
        if ( is_page_template( "template-full.php" ) || is_page_template( 'elementor_header_footer' ) || is_page_template( 'elementor_canvas' ) ) {
            return;
        }

        echo '<div class="container">';
        echo '<div class="row blog-content-row justify-content-center">';
    }
endif;

/**
 * Content wrap end
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_content_inner_end' ) ):
    function fbth_content_inner_end() {
        if ( is_page_template( "template-full.php" ) || is_page_template( 'elementor_header_footer' ) || is_page_template( 'elementor_canvas' ) ) {
            return;
        }

        echo '</div> <!-- .container -->';
        echo '</div> <!-- .row -->';
    }
endif;

/**
 * Custom hooks functions are define about general section.
 *
 * @package Finest Base
 * @since 1.0.0
 */

/**
 * Header banner section start
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_banner_section_start' ) ):
    function fbth_banner_section_start() {
        if ( is_page_template( "template-full.php" ) || is_page_template( "homepage.php" ) || is_page_template( 'elementor_header_footer' ) || is_page_template( 'elementor_canvas' ) ) {
            return;
        }

        global $fbthObj;

        $breadcrumb_attr = apply_filters( 'fbth_breadcrumb_class', $fbthObj->fbth_breadcrumb_bridge() );
    }
endif;

/**
 * Header banner title
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_banner_title' ) ):
    function fbth_banner_title() {
        if ( is_page_template( "template-full.php" ) || is_page_template( 'elementor_header_footer' ) || is_page_template( 'elementor_canvas' ) ) {
            return;
        }

    }
endif;

/**
 * Header banner section end
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_banner_section_end' ) ):
    function fbth_banner_section_end() {
        if ( is_page_template( "template-full.php" ) || is_page_template( 'elementor_header_footer' ) ) {
            return;
        }

        echo '</div>';
        echo '</div>';
        echo '</section><!-- .blog-breadcrumb-->';
    }
endif;

/**
 * Footer section start
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_footer_section_start' ) ):
    function fbth_footer_section_start() {
        echo '<footer id="colophon" class="site-footer fbth-section bg-cloud-burst">';
    }
endif;

/**
 * Footer section widget area
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_footer_section_bottom' ) ):
    function fbth_footer_section_bottom() {
        ?>
		        <div class="fbth-copyright text-center">
		            <?php
    $copyright = get_theme_mod( 'fbth_copyright_text', '© 2023 Crito, All Rights Reserved' );
        if ( $copyright ):
            $allowed_html = array(
                'a'      => array(
                    'href'  => array(),
                    'title' => array(),
                ),
                'br'     => array(),
                'em'     => array(),
                'strong' => array(),
            );
            ?>
				                    <p class="fbth-copywright">
				                        <?php echo wp_kses( $copyright, $allowed_html ); ?>
				                    </p>
				                <?php endif;?>
		            </div><!-- .fbth-footer-bottom -->
		        <?php
    }
endif;

/**
 * Footer section widget area
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_footer_section_widgets' ) ):
    function fbth_footer_section_widgets() {
        if ( is_active_sidebar( 'footer-widget-area' ) ):
            $footer_layout = get_theme_mod( 'footer_widget_layout', 'column_four' );
            ?>
				            <div class="fbth-footer-top p-t-b-95 p-sm-t-b-70 fbth-footer-<?php echo esc_attr( $footer_layout ); ?>">
				                <div class="container">
				                    <div class="row">
				                        <?php dynamic_sidebar( 'footer-widget-area' );?>
				                    </div><!-- .row -->
				                </div><!-- .container -->
				            </div>
				            <!--.fbth-footer-top -->
				        <?php
    endif;
    }
endif;

/**
 * fbth Footer Settings
 *
 */
function fbth_footer_settings() {
    if ( defined( 'ELEMENTOR_PRO_VERSION' ) && fbth_is_edit_mode() ) {
        return;
    } else if ( defined( 'FBTH_VERSION' ) ) {
        return;
    } else {
        $check_footer_post = get_posts( ['post_type' => 'fbth_footer'] );
        if ( 0 != count( $check_footer_post ) ) {
            fbth_header_footer_template_query( 'fbth_footer' );
        } else {
            fbth_footer_section_widgets();
            fbth_footer_section_bottom();
        }
    }
}

/**
 * Footer section end
 *
 * @since 1.0.0
 */
if ( !function_exists( 'fbth_footer_section_end' ) ):
    function fbth_footer_section_end() {
        echo '</footer><!-- #colophon-->';
    }
endif;

/**
 * Page Wrapper
 *
 * @since 1.0.0
 */
add_action( 'fbth_before_page', 'fbth_page_wrap_start' );
add_action( 'fbth_after_page', 'fbth_page_wrap_end' );

/**
 * Main content wrapper
 *
 * @since 1.0.0
 */
add_action( 'fbth_content_start', 'fbth_content_start', 10 );
add_action( 'fbth_content_start', 'fbth_content_inner_start', 20 );
add_action( 'fbth_content_end', 'fbth_content_inner_end', 10 );
add_action( 'fbth_content_end', 'fbth_content_end', 20 );

/**
 * Managed functions for Header section hooking
 *
 * @since 1.0.0
 */
add_action( 'fbth_header_section', 'fbth_header_settings', 10 );

/**
 * Managed functions for top banner hook
 *
 * @since 1.0.0
 */
add_action( 'fbth_banner_section', 'fbth_banner_section_start', 10 );
add_action( 'fbth_banner_section', 'fbth_banner_title', 20 );
add_action( 'fbth_banner_section', 'fbth_banner_section_end', 30 );

/**
 * Managed functions for footer area hook
 *
 * @since 1.0.0
 */
add_action( 'fbth_footer_before', 'fbth_footer_section_start' );
add_action( 'fbth_footer_before', 'fbth_footer_settings' );
add_action( 'fbth_footer_after', 'fbth_footer_section_end' );