<?php

if ( ! function_exists( 'fbth_related_post_list' ) ) {
   /**
    * Related post list
    */
     function fbth_related_post_list(){

        ?>
        <div class="fbth-section bg-fbth-alabaster">
            <div class="container">
                <div class="fbth-section-title text-center">
                    <?php
                    $related_title = get_theme_mod('fbth_related_posts_title', __("Related Posts", "fbth"));
                    if ( $related_title ) {
                        echo '<h2>' . esc_html( $related_title  ) . '</h2>';
                    }
                    ?>
                </div>
                <?php
                if( function_exists('fbth_related_posts') ) :
                $related_query = new WP_Query( fbth_related_posts(get_the_ID()) );
                if ( $related_query->have_posts() ) : ?>
                <div class="row">
                    <?php while ( $related_query->have_posts() ) : $related_query->the_post(); ?>
                    <div class="col-lg-4 col-md-6">
                        <div class="fbth-blog-wrap single-related-item fbth-blog-three-column m-b-none">
                            <?php if( has_post_thumbnail() ) : ?>
                            <div class="fbth-blog-thumb">
                                <?php the_post_thumbnail('fbth-featured-thumb'); ?>
                            </div>
                            <?php endif; ?>
                            <a class="fbth-related-title" href="<?php the_permalink(); ?>"><h5><?php the_title(); ?></h5></a>
                        </div>
                    </div>
                    <?php endwhile; ?>
					<?php wp_reset_postdata(); ?>
                </div><!-- .row -->
                <?php else : ?>
                    <p><?php esc_html_e( 'Sorry, no similar posts found.', 'fbth' ); ?></p>
                <?php endif; ?>
                <?php endif; ?>
            </div><!-- .container -->
        </div><!-- .fbth-section -->
        <?php

    }

}

/**
 * Managed functions for general section hooking
 *
 * @since 1.0.0
 */

add_action( 'fbth_related_posts', 'fbth_related_post_list' );