jQuery(function ($) {
	'use strict';

	/**
	 * ---------------------------------------
	 * ------------- DOM Ready ---------------
	 * ---------------------------------------
	 */



	$('.fbth-tala-form').on('submit', function (event) {
		event.preventDefault();
		var $form = $(this);
		var $tala = $form.find('[name=tala_key]');
		var $tala_key = $tala.val();
		var $submit_button = $form.find('.fbth-check-tala');

		$submit_button.text('');
		$submit_button.append('<span class="dashicons dashicons-update"></span>');
		if ($tala.val().length == 0) {
			$tala.css('border-color', 'red');
			$tala.click();
			return;
		}

		$submit_button.addClass('fbth-tala-disable');
		$submit_button.attr('disabled');
		$tala.attr('disabled');

		var data = new FormData();
		data.append('action', 'fbth_tala_ajax');
		data.append('security', fbth_vars.nonce);
		data.append('tala', $tala_key);

		fbthTalaajaxCall(data)

	});

	$('.fbth-tala-deactivate').on('click', function (event) {
		event.preventDefault();
		var $btn = $(this);

		$btn.attr('disabled');
		$btn.text('');
		$btn.append('<span class="dashicons dashicons-update"></span>');

		var data = new FormData();
		data.append('action', 'fbth_tala_deactivate');
		data.append('security', fbth_vars.nonce);


		$.ajax({
				method: 'POST',
				url: fbth_vars.ajax_url,
				data: data,
				contentType: false,
				processData: false,
			})
			.done(function (response) {
				location.reload();
			})
			.fail(function (error) {
				location.reload();

			});

	});


	function fbthTalaajaxCall(data) {
		$.ajax({
				method: 'POST',
				url: fbth_vars.ajax_url,
				data: data,
				contentType: false,
				processData: false,
				beforeSend: function () {
					$('.fbth-tala-form').css('opacity', '0.5');

					// welcome.slideUp();
					// progress.slideDown();
					// progressbar.show();


				}
			})
			.done(function (response) {
				console.log(response);
				var welcome = $('.fbth-tala .fbth-setup-welcome'),
					success = $('.fbth-tala .fbth-setup-success'),
					error = $('.fbth-tala .fbth-setup-error');
				welcome.slideUp();
				if (response === true) {
					success.slideDown();
				} else {
					error.slideDown();
				}
			})
			.fail(function (error) {
				var error = $('.fbth-tala .fbth-setup-error');

				error.slideDown(300);

			});
	}

});