<?php

/**
 * The sidebar containing the main widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Finest Base
 */

if ( !is_active_sidebar( 'sidebar-1' ) ) {
    return;
}
$fbth                      = get_option( 'fbth' );
$fbth_archive_sidebar      = isset( $fbth['blog_layout'] ) ? $fbth['blog_layout'] : 'right_sidebar';
$fbth_post_default_sidebar = isset( $fbth['single_page_layout'] ) ? $fbth['single_page_layout'] : 'right_sidebar';
$fbth_page_default_sidebar = isset( $fbth['single_page_layout'] ) ? $fbth['single_page_layout'] : 'right_sidebar';

if ( is_single() ) {
    if ( 'no_sidebar' === $fbth_post_default_sidebar ) {
        return;
    }
} elseif ( is_page() ) {
    if ( 'no_sidebar' === $fbth_page_default_sidebar ) {
        return;
    }
} else {
    if ( 'no_sidebar' === $fbth_archive_sidebar ) {
        return;
    } 
}
?>

<aside id="secondary" class="<?php echo esc_attr( fbth_sidebar_class() ); ?>">
	<div class="fbth-sidebar-wrap">
		<?php
dynamic_sidebar( 'sidebar-1' );
?>
	</div>
</aside><!-- #secondary -->