<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Finest Base
 */
$fbth_classes = array(
	"fbth-default-hentry",
	"fbth-default-hentry",
	"fbth-blog-wrap"
);
$fbth          = get_option('fbth');
$show_excerpt  = isset($fbth['show_excerpt']) ? $fbth['show_excerpt'] : true;
$show_date     = isset($fbth['show_date']) ? $fbth['show_date'] : true;
$show_category = isset($fbth['show_category']) ? $fbth['show_category'] : true;
$show_readmore = isset($fbth['show_readmore']) ? $fbth['show_readmore'] : false;

if (!has_post_thumbnail()) {
	$fbth_classes[] = "fbth-hentry-without-thumbnail";
}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class($fbth_classes); ?>>
	<div class="post-single-item search-pge">
		<?php if (has_post_thumbnail()) :  ?>
			<div class="post-thumbnail">
				<div class="entry-media">
					<?php fbth_post_thumbnail(); ?>
					<?php
					if (is_sticky()) {
						echo '<span class="sticky-text" >' . esc_html__('Sticky', 'fbth') . '</span>';
					}
					?>
				</div>
			</div>
		<?php endif; ?>
		<div class="fbth-blog-content">
			<header class="entry-header">
				<?php if ($show_category || $show_date) : ?>
					<?php if (is_date() || has_category()) : ?>
						<div class="blog-meta-bar">
							<?php if ('post' === get_post_type()) : ?>
								<div class="entry-meta">
									<?php
									if ($show_date) {
										fbth_posted_on();
									}
									if ($show_category) {
										fbth_category();
									}
									?>
								</div><!-- .entry-meta -->
							<?php endif; ?>
						</div>
					<?php endif; ?>
				<?php endif; ?>
				<?php

				if (is_singular()) {
					the_title('<h1 class="entry-title fbth-blog-title">', '</h1>');
				} else {
					the_title('<h2 class="entry-title fbth-blog-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>');
				}

				if ($show_excerpt) {
					echo '<p>' . wp_kses_post(get_the_excerpt()) . '</p>';
				}

				?>
			</header><!-- .entry-header -->

			<?php if (true == $show_readmore) : ?>
				<?php fbth_read_more(); ?>
			<?php endif; ?>
		</div>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->